<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<!-- 
	Author Dimitri Dean DARSEYNE (D3), 
   	Published by Short-Circuit under Creative Commons (CC) Licensing: 
 	Authorship/Paternity, NO Commercial Use, NO Derivative
 	Please check for more informations:
 	http://creativecommons.org/licenses/by-nc-nd/2.0/
 
 	Auteur Dimitri Dean DARSEYNE (D3),
 	Publi par Short-Circuit sous license Creative Commons (CC):
 	Paternit, PAS d'Utilisation Commerciale, pas de Drivs/Modifications
 	Pour plus d'informations, se rendre sur:
 	http://creativecommons.org/licenses/by-nc-nd/2.0/fr/ 
 
 	Since Short-Circuit 1999
-->
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="x"%>

<f:view>

<f:loadBundle basename="message" var="message"/>

<html>
<head>           
    <title>Product: liste</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">    
        <link href="includes/css/Common.css" rel="stylesheet" type="text/css" /> 
</head>   
  <body>    
        <h:form id="productForm">  
            <x:dataTable    id="productList" 
                            value='#{productBean.allProduct}' 
                            var='product' 
                            binding="#{productBean.dataTable}"
                            sortColumn="#{productBean.sortColumn}" 
                            sortAscending="#{productBean.sortAscending}" 
                            preserveSort="true" 
                            rows="#{productBean.rowCount}"
                            rowClasses="ligne1,ligne2"
                            styleClass="GenericTable"  >
               <f:facet name="header">
                    <h:outputText value='products'/>       
               </f:facet>
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="id" arrow="#{true}" >
                            <h:outputText value='Id' style="font-weight: bold" /> 
                        </x:commandSortHeader>
                    </f:facet>
                    <h:outputText value='#{product.id}' />                          
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="designation" arrow="#{true}" >
                            <h:outputText value='designation' style="font-weight: bold" /> 
                        </x:commandSortHeader>
                    </f:facet>
                    <h:commandLink id="lienProduct" action="#{productBean.searchProduct}" ><h:outputText value='#{product.designation}' /></h:commandLink>
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="genre" arrow="#{true}" >
                            <h:outputText value='genre' style="font-weight: bold" /> 
                        </x:commandSortHeader>      
                    </f:facet>                          
                    <h:outputText value='#{product.genre}' />
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="realisateur" arrow="#{true}" >
                            <h:outputText value='realisateur' style="font-weight: bold" /> 
                        </x:commandSortHeader>      
                    </f:facet>                          
                    <h:outputText value='#{product.realisateur}' />
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="musique" arrow="#{true}" >
                            <h:outputText value='musique' style="font-weight: bold" /> 
                        </x:commandSortHeader>      
                    </f:facet>                          
                    <h:outputText value='#{product.musique}' />
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="scenario" arrow="#{true}" >
                            <h:outputText value='scenario' style="font-weight: bold" /> 
                        </x:commandSortHeader>      
                    </f:facet>                          
                    <h:outputText value='#{product.scenario}' />
                </h:column>
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="type" arrow="#{true}" >
                            <h:outputText value='type' style="font-weight: bold" /> 
                        </x:commandSortHeader>      
                    </f:facet>                          
                    <h:outputText value='#{product.type}' />
                </h:column>   
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="annee" arrow="#{true}" >
                            <h:outputText value='annee' style="font-weight: bold" /> 
                        </x:commandSortHeader>      
                    </f:facet>                          
                    <h:outputText value='#{product.annee}' />
                </h:column>   
                <h:column>
                    <f:facet name="header">
                        <x:commandSortHeader columnName="price" arrow="#{true}" >
                            <x:outputText  value='price' style="font-weight: bold" /> 
                        </x:commandSortHeader>      
                    </f:facet>                          
                    <h:outputText value='#{product.strPrice}' />
                </h:column>   
            </x:dataTable>          
            <x:dataScroller id="scroll_1" for="productList" fastStep="10" pageCountVar="pageCount" pageIndexVar="pageIndex" styleClass="scroller" paginator="true" paginatorMaxPages="9" paginatorTableClass="paginator" paginatorActiveColumnStyle="font-weight:bold;" immediate="true" >
                <f:facet name="first" >     <x:graphicImage url="/includes/images/arrow-first.gif" border="1" />    </f:facet>
                <f:facet name="last">       <x:graphicImage url="/includes/images/arrow-last.gif" border="1" />     </f:facet>
                <f:facet name="previous">   <x:graphicImage url="/includes/images/arrow-previous.gif" border="1" /> </f:facet>
                <f:facet name="next">       <x:graphicImage url="/includes/images/arrow-next.gif" border="1" />     </f:facet>
                <f:facet name="fastforward"><x:graphicImage url="/includes/images/arrow-ff.gif" border="1" />       </f:facet>
                <f:facet name="fastrewind"> <x:graphicImage url="/includes/images/arrow-fr.gif" border="1" />       </f:facet>
            </x:dataScroller>
            <x:dataScroller id="scroll_2" for="productList" rowsCountVar="rowsCount" displayedRowsCountVar="displayedRowsCountVar" firstRowIndexVar="firstRowIndex" lastRowIndexVar="lastRowIndex" pageCountVar="pageCount" immediate="true" pageIndexVar="pageIndex" >
                <h:outputFormat value="#{message['info.scroller.main']}" styleClass="standard" > 
                    <f:param value="#{rowsCount}" />
                    <f:param value="#{displayedRowsCountVar}" />
                    <f:param value="#{firstRowIndex}" />
                    <f:param value="#{lastRowIndex}" />
                    <f:param value="#{pageIndex}" />
                    <f:param value="#{pageCount}" />
                </h:outputFormat>
            </x:dataScroller>
        </h:form>               
     </body>
</html>
</f:view>